pkgsrc-Changes archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

CVS commit: pkgsrc/audio/musescore



Module Name:    pkgsrc
Committed By:   wiz
Date:           Fri Mar 13 07:46:11 UTC 2020

Modified Files:
        pkgsrc/audio/musescore: distinfo
        pkgsrc/audio/musescore/patches: patch-CMakeLists.txt
Added Files:
        pkgsrc/audio/musescore/patches:
            patch-build_Linux+BSD_portable_portable-utils.in

Log Message:
musescore: fix unportable test(1) operator.


To generate a diff of this commit:
cvs rdiff -u -r1.3 -r1.4 pkgsrc/audio/musescore/distinfo
cvs rdiff -u -r1.2 -r1.3 pkgsrc/audio/musescore/patches/patch-CMakeLists.txt
cvs rdiff -u -r0 -r1.1 \
    pkgsrc/audio/musescore/patches/patch-build_Linux+BSD_portable_portable-utils.in

Please note that diffs are not public domain; they are subject to the
copyright notices on the relevant files.

Modified files:

Index: pkgsrc/audio/musescore/distinfo
diff -u pkgsrc/audio/musescore/distinfo:1.3 pkgsrc/audio/musescore/distinfo:1.4
--- pkgsrc/audio/musescore/distinfo:1.3 Wed Feb 19 03:00:20 2020
+++ pkgsrc/audio/musescore/distinfo     Fri Mar 13 07:46:10 2020
@@ -1,7 +1,8 @@
-$NetBSD: distinfo,v 1.3 2020/02/19 03:00:20 gutteridge Exp $
+$NetBSD: distinfo,v 1.4 2020/03/13 07:46:10 wiz Exp $
 
 SHA1 (musescore-3.4.2.tar.gz) = 95d8d0d0bef7327e793b6374feb22d9522225b30
 RMD160 (musescore-3.4.2.tar.gz) = d476367b02d5efc1527426451379b1918b24b8a9
 SHA512 (musescore-3.4.2.tar.gz) = d53024a04793dd418bce910e47b1d6f785b6e5ffbd97117a910f144ee37d20c20ce555a45fcf30532019aa8d7e429fc2dfedfef33a6078ab73889fe7995fe9f4
 Size (musescore-3.4.2.tar.gz) = 62960426 bytes
-SHA1 (patch-CMakeLists.txt) = 82b2b3591f0241bdd7be173b3534615bd15a1a9c
+SHA1 (patch-CMakeLists.txt) = b2483dee26c03a66f3195f6db87dd122f34a7fd5
+SHA1 (patch-build_Linux+BSD_portable_portable-utils.in) = a2af39d397a0be4ceb8f97fa7742a67d35d43f4c

Index: pkgsrc/audio/musescore/patches/patch-CMakeLists.txt
diff -u pkgsrc/audio/musescore/patches/patch-CMakeLists.txt:1.2 pkgsrc/audio/musescore/patches/patch-CMakeLists.txt:1.3
--- pkgsrc/audio/musescore/patches/patch-CMakeLists.txt:1.2     Wed Feb 19 03:00:21 2020
+++ pkgsrc/audio/musescore/patches/patch-CMakeLists.txt Fri Mar 13 07:46:11 2020
@@ -1,4 +1,4 @@
-$NetBSD: patch-CMakeLists.txt,v 1.2 2020/02/19 03:00:21 gutteridge Exp $
+$NetBSD: patch-CMakeLists.txt,v 1.3 2020/03/13 07:46:11 wiz Exp $
 
 Never compress man pages.
 
@@ -9,6 +9,15 @@ https://github.com/musescore/MuseScore/p
 
 --- CMakeLists.txt.orig        2020-02-06 21:10:58.000000000 +0000
 +++ CMakeLists.txt
+@@ -83,7 +83,7 @@ else (SCRIPT_INTERFACE)
+ SET(QT_MIN_VERSION    "5.7.0")
+ endif (SCRIPT_INTERFACE)
+ # Include modules
+-set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/build" ${CMAKE_MODULE_PATH})
++set (CMAKE_MODULE_PATH "/scratch/audio/musescore/work/.buildlink/cmake-Modules" "${CMAKE_CURRENT_SOURCE_DIR}/build" ${CMAKE_MODULE_PATH})
+ include (FindQt5)
+ include (UsePkgConfig1) # Defines MACRO(PKGCONFIG1 _package _minVersion _include_DIR _link_DIR _link_FLAGS _cflags)
+ include (FindPulseAudio)
 @@ -385,7 +385,7 @@ endif(BUILD_FOR_WINSTORE)
  
  if (USE_SYSTEM_FREETYPE)

Added files:

Index: pkgsrc/audio/musescore/patches/patch-build_Linux+BSD_portable_portable-utils.in
diff -u /dev/null pkgsrc/audio/musescore/patches/patch-build_Linux+BSD_portable_portable-utils.in:1.1
--- /dev/null   Fri Mar 13 07:46:11 2020
+++ pkgsrc/audio/musescore/patches/patch-build_Linux+BSD_portable_portable-utils.in     Fri Mar 13 07:46:11 2020
@@ -0,0 +1,78 @@
+$NetBSD: patch-build_Linux+BSD_portable_portable-utils.in,v 1.1 2020/03/13 07:46:11 wiz Exp $
+
+Fix unportable test(1) operator.
+
+--- build/Linux+BSD/portable/portable-utils.in.orig    2020-02-06 21:10:58.000000000 +0000
++++ build/Linux+BSD/portable/portable-utils.in
+@@ -51,7 +51,7 @@ EOF
+ function printVersion() {
+   local pretty=$(sed -rn "s|^Name=([^#]*)|\1|p" "${APPDIR}/mscore@MSCORE_INSTALL_SUFFIX@.desktop")
+   local long=$("${APPDIR}/bin/mscore@MSCORE_INSTALL_SUFFIX@" --long-version 2>&1 | tail -n 1)
+-  if [ "$1" == "centered" ]; then
++  if [ "$1" = "centered" ]; then
+     printf "%*s\n" "$(((${#pretty}+80)/2))" "$pretty"
+     printf "%*s\n" "$(((${#long}+80)/2))" "$long"
+     return
+@@ -62,7 +62,7 @@ function printVersion() {
+ 
+ function readYes() {
+   read -s -n 1 answer
+-  if [ "$answer" == "n" ] || [ "$answer" == "N" ] ; then
++  if [ "$answer" = "n" ] || [ "$answer" = "N" ] ; then
+     echo " N"
+     return 1
+   fi
+@@ -72,9 +72,9 @@ function readYes() {
+ 
+ function installResources() {
+   local interactive=""
+-  if [ "$2" == "-i" ]; then
++  if [ "$2" = "-i" ]; then
+     interactive=true
+-  elif [ "$1" == "-i" ]; then
++  elif [ "$1" = "-i" ]; then
+     interactive=true
+     shift
+   fi
+@@ -85,7 +85,7 @@ function installResources() {
+     local bin_str="PREFIX/bin"
+     local question="The default location might be better. Proceed anyway [Y/n]?"
+     local cancelled="Cancelled: rerun without a PREFIX to use the default."
+-  elif [ "${EUID}" == "0" ]; then
++  elif [ "${EUID}" = "0" ]; then
+     # Running as root (sudo)
+     local prefix="/usr/local"
+     local bin="$prefix/bin"
+@@ -198,12 +198,12 @@ EOF
+ }
+ 
+ function removeResources() {
+-  [ "$1" == "-i" ] && shift # ignore option. Remove is always interactive
++  [ "$1" = "-i" ] && shift # ignore option. Remove is always interactive
+   if [ "$1" != "" ]; then
+     # User specified a directory
+     prefix="$1"
+     echo -n "Remove resources from ${prefix} [Y/n]?"
+-  elif [ "${EUID}" == "0" ]; then
++  elif [ "${EUID}" = "0" ]; then
+     prefix=/usr/local
+     echo -n "Running as root. Remove MuseScore resources from '$prefix' for all users [Y/n]?"
+   else
+@@ -235,7 +235,7 @@ function checkDependencies() {
+ 
+   echo "AppImage contains ${num_exes} executables and ${num_libs} libraries." >&2
+ 
+-  if [ "$1" == "exes-only" ]; then
++  if [ "$1" = "exes-only" ]; then
+     echo "Checking dependencies for executables..." >&2
+     include_libs=""
+     num_includes="${num_exes}"
+@@ -317,7 +317,7 @@ $1. Things to check:
+   - do the files and/or directories exist?
+   - do you have the right privileges?
+ EOF
+-[ "$2" == "fatal" ] && echo "Error: $1. Terminating." && exit 1
++[ "$2" = "fatal" ] && echo "Error: $1. Terminating." && exit 1
+ }
+ 
+ main "$@" || exit 1



Home | Main Index | Thread Index | Old Index